Package com.castlabs.android.player.models

## Class EventStream

- java.lang.Object
- - com.castlabs.android.player.models.EventStream

-     public final class EventStream
      extends Object

  A DASH in-MPD EventStream element, as defined by ISO/IEC 23009-1, 2nd edition, section 5.10.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EventStream.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventStream​(String schemeIdUri, String value, long timescale, List<Long> presentationTimesUs, List<EventMessage> events)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<EventMessage>` | `getEvents()` | `EventMessage`s in the event stream.
    `List<Long>` | `getPresentationTimesUs()` | Presentation time of the events in microsecond, sorted in ascending order.
    `String` | `getSchemeIdUri()` | The scheme URI.
    `long` | `getTimescale()` | The timescale in units per seconds, as defined in the manifest.
    `String` | `getValue()` | The value of the event stream.
    `String` | `id()` | A constructed id of this `EventStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStream

          public EventStream​(@NonNull
                             String schemeIdUri,
                             @NonNull
                             String value,
                             long timescale,
                             @NonNull
                             List<Long> presentationTimesUs,
                             @NonNull
                             List<EventMessage> events)

  - ### Method Detail

    - #### getEvents

          @NonNull
          public List<EventMessage> getEvents()

      `EventMessage`s in the event stream.

    - #### getPresentationTimesUs

          @NonNull
          public List<Long> getPresentationTimesUs()

      Presentation time of the events in microsecond, sorted in ascending order.

    - #### getSchemeIdUri

          @NonNull
          public String getSchemeIdUri()

      The scheme URI.

    - #### getValue

          @NonNull
          public String getValue()

      The value of the event stream. Empty String if not defined in manifest.

    - #### getTimescale

          public long getTimescale()

      The timescale in units per seconds, as defined in the manifest.

    - #### id

          @NonNull
          public String id()

      A constructed id of this `EventStream`. Equal to `schemeIdUri + "/" + value`.